xmlpp::IStreamParserInputBuffer Class Reference

`#include <libxml++/io/istreamparserinputbuffer.h>`

Inheritance diagram for xmlpp::IStreamParserInputBuffer:

## Public Member Functions

| IStreamParserInputBuffer (std::istream & input)
| ~IStreamParserInputBuffer () override
Public Member Functions inherited from xmlpp::ParserInputBuffer
| ParserInputBuffer ()
| ~ParserInputBuffer () override
const _xmlParserInputBuffer * | cobj () const noexcept
| gives an access to the underlying libxml structure to the children
_xmlParserInputBuffer * | cobj () noexcept
| gives an access to the underlying libxml structure to the children

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable &)=delete
| NonCopyable (NonCopyable &&)=delete
virtual | ~NonCopyable ()
NonCopyable & | operator= (const NonCopyable &)=delete
NonCopyable & | operator= (NonCopyable &&)=delete

## Constructor & Destructor Documentation

## IStreamParserInputBuffer()

xmlpp::IStreamParserInputBuffer::IStreamParserInputBuffer | ( | std::istream & | input | ) |

Parameters

  input | The istream datas will be read from

## ~IStreamParserInputBuffer()

xmlpp::IStreamParserInputBuffer::~IStreamParserInputBuffer | ( |  | ) |

override